Introduce KF5AuthCore
ClosedPublic

Authored by aacid on Jan 29 2019, 11:51 PM.

Details

Summary

It's KF5Auth but without kauthobjectdecorator.cpp

This will allow us to link helpers just against KF5AuthCore making
the library tree they pull much smaller

Diff Detail

Repository
R283 KAuth
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7685
Build 7703: arc lint + arc unit
aacid created this revision.Jan 29 2019, 11:51 PM
Restricted Application added a project: Frameworks. · View Herald TranscriptJan 29 2019, 11:51 PM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
aacid requested review of this revision.Jan 29 2019, 11:51 PM

This is how the dependency graph of backlighthelper looks like at the moment

and this is how it looks if we change it to use the KF5AuthNoWidgets library

Saving us from QtWidgets and QtGui is a big thing for helpers that are run as root.

apol added a subscriber: apol.Jan 30 2019, 9:50 AM
apol added inline comments.
src/CMakeLists.txt
29

How about we call it KF5AuthCore?

aacid updated this revision to Diff 50563.Jan 30 2019, 5:14 PM
aacid retitled this revision from Introduce KF5AuthNoWidgets to Introduce KF5AuthCore.
aacid edited the summary of this revision. (Show Details)

Much better name as suggested by Aleix

apol added inline comments.Jan 30 2019, 5:25 PM
src/kauthobjectdecorator.cpp
69

It could make sense to leave this as KAUTH and have the rest as KAUTHCORE? this way they all have the same name as the library.

Or we just leave them all as KAUTH, like the framework.

aacid updated this revision to Diff 50622.Jan 31 2019, 9:30 PM

Only have one debug category for now

apol accepted this revision.Feb 6 2019, 11:01 PM
This revision is now accepted and ready to land.Feb 6 2019, 11:01 PM
aacid closed this revision.Feb 6 2019, 11:04 PM

Is this not breaking ABI? even if just moving to another lib?

@sitter FYI I get https://paste.ubuntu.com/p/NHsbqg7DbN/

aacid added a comment.Feb 9 2019, 9:36 PM

It's only BIC for windows IIRC, the rest of the world is fine, KF5Auth pulls KF5AuthCore so all the symbols are still tehre.

i don't really think we care about abi in windows for KAuth which AFAICS doesn't even have a windows backend.